petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatColoringType

String with the name of a PETSc matrix coloring

### Synopsis

    typedef const  char*           MatColoringType;
    #define MATCOLORINGJP      "jp"
    #define MATCOLORINGPOWER   "power"
    #define MATCOLORINGNATURAL "natural"
    #define MATCOLORINGSL      "sl"
    #define MATCOLORINGLF      "lf"
    #define MATCOLORINGID      "id"
    #define MATCOLORINGGREEDY  "greedy"

### See Also

MatColoringSetType(), MatColoring

Level:beginner
Location:src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages